/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
   
@font-face {
  font-family: "Marlett Custom";
  src: url('/assets/fonts/marlett.ttf') format('truetype');
}

html, body {
  height: 100%;
  margin: 0;
  background-color: #007c7b;
  color: black;
  font-family: "Lucida Console";
  overflow: hidden;
}

a {
  text-decoration: none;
}

.desktop-wrapper {
  display: flex;
  width: 98vw;
  height: 98vh;
  padding: 25px;
  z-index: 0;
  position: absolute;
}

.desktop {
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
}

.icon-wrapper {
  margin-bottom: 12px;
}

/*.icon-link:active {*/
/*  filter: sepia(100%) hue-rotate(150deg) brightness(80%);*/
/*}*/

.desktop-icon {
  width: 84px;
  height: 84px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-size: 12px;
  color: white;
}

.window-wrapper {
  display: flex;
  width: 98vw;
  height: 98vh;
  z-index: 1;
  position: absolute;
  justify-content: center;
  align-items: center;
  pointer-events: none; 
}

.windows {
  display: block;
  z-index: 1;
  border: 3px outset #ddd;
  box-shadow: 5px 5px 8px -2px rgba(0, 47, 47, .3);
  position: absolute;
  overflow: auto;
  pointer-events: auto;
}

.dosprompt {
  height: 480px;
  width: 800px;
  background-color: black;
  resize: both;
  min-width: 310px;
  max-width: 800px;
  min-height: 72px;
  max-height: calc(100vh - 25px);
}

.minesweeper {
  height: 376px;
  width: 303px;
  background-color: #d4d0c9;
  resize: none;
  max-width: 303px;
  max-height: 376px;
}

.titlebar {
  display: flex;
  position: sticky;
  top: 0;
  box-sizing: border-box;
  align-items: center;
  height: 1.5rem;
  padding-left: 5px;
  background-color: blue;
  background-image: linear-gradient(to right, #000080, #1084d0);
  color: white;
  font-weight: bold;
  border-bottom: 3px groove #ddd;
  z-index: 2;
}

.titlebar:active {
  cursor: move;
}

.console {
  color: white;
  padding: 0px 5px 0px 8px;
  z-index: -1;
}
.console > p { margin: 0; padding: 0; line-height: 1.1em; }

.taskbar {
  position: fixed;
  display: flex;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 28px;
  background-color: rgb(212, 208, 201);
  color: black;
  z-index: 100;
  border-top: 2px outset #eee;
}

.clock {
  display: flex;
  width: 72px;
  height: 20px;
  border: 2px inset #ddd;
  font-size: 14px;
  margin-right: 3px;
  align-items: center;
  justify-content: center;
  font-family: "Consolas", sans-serif;
}

.button {
  display: flex;
  background-color: rgb(212, 208, 201);
  color: black;
  align-items: center;
  text-align: center;
  margin-right: 2px;
  padding: 0;
}

.bar-button {
  width: 18px;
  height: 18px;
  border: 2px outset #ddd;
  font-family: 'Marlett Custom', sans-serif;
}
.bar-button:active { border: 2px inset #ddd; }

.start-button {
  width: 72px;
  height: 24px;
  border: 2px outset #eee;
  margin-left: 4px;
  margin-top: 2px;
  font-family: "Consolas";
  font-size: 14px;
  font-weight: bold;
  justify-content: space-evenly;
}
.start-button:active { border: 2px inset #eee; }

.task-button {
  display: flex;
  height: 24px;
  width: 160px;
  border: 2px outset #eee;
  margin-left: 4px;
  margin-top: 2px;
  margin-right: -2px;
  padding-left: 2px;
  padding-right: 2px;
  font-family: "Consolas";
  font-size: 14px;
  font-weight: bold;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
/*.task-button:active { border: 2px outset #eee; }*/

.tb-selected {
  background-color: #e1e1e1;
  border: 2px inset #eee;
}


/* Utility styles */

.no-select {
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

.hidden {
  display: none;
}

.blinking-cursor {
  color: white;
  animation: 1s blink step-end infinite;
}

@keyframes blink {
  from, to {
    color: transparent; /* Makes the cursor invisible */
  }
  50% {
    color: white; /* Makes the cursor visible */
  }
}